Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590617 - samba-winbind-clients package is missing dependency on samba-winbind
Summary: samba-winbind-clients package is missing dependency on samba-winbind
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 10:32 UTC by Oded Arbel
Modified: 2013-01-30 10:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 590447
Environment:
Last Closed: 2013-01-30 10:11:52 UTC


Attachments (Terms of Use)

Description Oded Arbel 2010-05-10 10:32:15 UTC
+++ This bug was initially created as a clone of Bug #590447 +++

Fedora live DVD includes samba-winbind-clients, supposedly to allow for systems installed from the DVD to be able to authenticate against Microsoft Windows domains. Unfortunately, this is not enough and samba-winbind (and its dependencies) are also required. 

As a result of this misconfiguration, users think they can configure the network login to authenticate against Microsoft Windows domains but this will never work because the required software is not installed.

The samba-winbind package should also be included in the live DVD to allow authentication of installed systems with Microsoft Windows domains.

Comment 1 Simo Sorce 2010-05-10 13:04:30 UTC
Oded,
this is not a samba bug, reassign to the right component, or it will be closed by tomorrow.

Comment 2 Tomas Mraz 2010-05-10 13:36:25 UTC
Simo, what is the purpose of samba-winbind-clients being a subpackage - is this package usable at all without samba-winbind being installed?

If not, and I strongly suspect that it is really not usable on its own, this package should require samba-winbind.

Comment 3 Oded Arbel 2010-05-10 14:38:41 UTC
I'm not sure how to open a bug against the "live DVD compilation". 

Also, I do believe that the problem can also be solved by samba-winbind-clients being merged back into samba-winbind.

Comment 4 Simo Sorce 2010-05-10 17:39:14 UTC
Tomas,
the reason is to avoid having the whole winbindd shipped as a multilib package.
We have winbind depending on winbind-clients, maybe we should reverse the dependency and have actually winbind-clients depend on winbind.

If you think that makes sense can you open a bug on that ?

Comment 5 Tomas Mraz 2010-05-10 18:05:03 UTC
I think that the reverse dependency would definitely make sense, but I'd leave the current dependency as well if it doesn't make any sense to install the winbind package alone. Circular dependencies should not be a problem.

I changed this bug summary so this bug is for tracking the missing dependency.

Comment 6 Fedora Admin XMLRPC Client 2010-10-08 14:43:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Guenther Deschner 2011-04-04 16:44:34 UTC
Will be fixed in next Fedora release.


Note You need to log in before you can comment on or make changes to this bug.